<?php
session_start();

// Check if the user is already logged in
if (isset($_SESSION['logged_in']) && $_SESSION['logged_in'] === true) {
    header('Location: active_sp.php');
    exit;
}

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Check login credentials
    $password = isset($_POST['password']) ? $_POST['password'] : '';

    // Check if password is correct
    if ($password === '8080') {
        // Set session variables
        $_SESSION['logged_in'] = true;
        
        // Redirect to active_sp.php
        header('Location: active_sp.php');
        exit;
    } else {
        // Invalid password, show error message
        $error = "Invalid password!";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f2f2f2;
        }
        .container {
            width: 300px;
            margin: 0 auto;
            padding-top: 50px;
            text-align: center;
        }
        h2 {
            margin-bottom: 20px;
            font-size: 24px;
        }
        .error {
            color: red;
            margin-bottom: 20px;
            font-size: 18px;
        }
        label {
            display: block;
            margin-bottom: 10px;
            font-size: 18px;
        }
        input[type="password"] {
            width: 100%;
            padding: 10px;
            margin-bottom: 20px;
            border: 1px solid #ccc;
            border-radius: 4px;
            box-sizing: border-box;
            font-size: 18px;
        }
        input[type="submit"] {
            width: 100%;
            padding: 10px;
            background-color: #4CAF50;
            color: white;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            font-size: 18px;
        }
        input[type="submit"]:hover {
            background-color: #45a049;
        }
    </style>
</head>
<body>
<div class="container">
    <h2>Login</h2>
    <?php if (isset($error)) : ?>
        <p class="error"><?php echo $error; ?></p>
    <?php endif; ?>
    <form id="loginForm" method="post">
        <label for="password">Password:</label>
        <input type="password" id="password" name="password" required autofocus>
        <input type="submit" value="Login">
    </form>
</div>
<script>
    // Set focus on the password input field when the page loads
    window.onload = function() {
        document.getElementById('password').focus();
    };
</script>
</body>
</html>
